> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upriver.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sponsorship research status

> Retrieve your research progress, available results and coverage gaps.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sponsorships/requests/{request_id}
openapi: 3.1.0
info:
  title: Upriver API
  description: >-
    A social insights API for ad generation platforms. It provides structured
    signals, like psychographics, behavioral insights, trends, and audience
    language, to help AI models generate relevant, higher-converting ads.
  version: 1.0.0
servers:
  - url: https://api.upriver.ai
    description: Production API server
security: []
tags:
  - name: Brands
  - name: Products
  - name: Creators
  - name: Audience
  - name: Sponsorships
  - name: Trends
  - name: Trends Radar (Beta)
  - name: Breakout Topics
  - name: Taxonomy
paths:
  /v1/sponsorships/requests/{request_id}:
    get:
      tags:
        - Sponsorships
      summary: Sponsorship research status
      description: Retrieve your research progress, available results and coverage gaps.
      operationId: get_sponsorship_request_v1_sponsorships_requests__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            title: Request Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DemandStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    DemandStatus:
      properties:
        request_id:
          type: string
          maxLength: 256
          minLength: 1
          title: Request Id
        status:
          type: string
          enum:
            - queued
            - processing
            - waiting
            - complete
            - partial
          title: Status
        scanned_rows:
          type: integer
          minimum: 0
          title: Scanned Rows
        matched_candidates:
          type: integer
          minimum: 0
          title: Matched Candidates
        completed_candidates:
          type: integer
          minimum: 0
          title: Completed Candidates
        pending_candidates:
          type: integer
          minimum: 0
          title: Pending Candidates
        unknown_rows:
          type: integer
          minimum: 0
          title: Unknown Rows
        scan_complete:
          type: boolean
          title: Scan Complete
        coverage:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Coverage
        source_boundary:
          anyOf:
            - $ref: '#/components/schemas/ContentReadBoundary'
            - type: 'null'
        captured_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Captured At
        reasons:
          items:
            type: string
          type: array
          title: Reasons
          default: []
        results:
          items:
            $ref: '#/components/schemas/DemandResultProof'
          type: array
          title: Results
          default: []
      additionalProperties: false
      type: object
      required:
        - request_id
        - status
        - scanned_rows
        - matched_candidates
        - completed_candidates
        - pending_candidates
        - unknown_rows
        - scan_complete
      title: DemandStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContentReadBoundary:
      properties:
        source_table:
          type: string
          title: Source Table
        snapshot_id:
          type: integer
          title: Snapshot Id
        snapshot_committed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Snapshot Committed At
      type: object
      required:
        - source_table
        - snapshot_id
      title: ContentReadBoundary
    DemandResultProof:
      properties:
        work_key:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Work Key
        extraction_key:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Extraction Key
        result_event_key:
          type: string
          maxLength: 256
          minLength: 1
          title: Result Event Key
        origin_request_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Origin Request Id
        origin_run_id:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Origin Run Id
        origin_claim_holder:
          anyOf:
            - type: string
              maxLength: 256
              minLength: 1
            - type: 'null'
          title: Origin Claim Holder
        origin_validation_grant_id:
          anyOf:
            - type: string
              pattern: ^[0-9a-f]{32}$
            - type: 'null'
          title: Origin Validation Grant Id
        origin_deployment_revision:
          anyOf:
            - type: string
              pattern: ^[0-9a-f]{40}$
            - type: 'null'
          title: Origin Deployment Revision
        evaluation_kind:
          type: string
          enum:
            - model_evaluated
            - gate_only
          title: Evaluation Kind
        extractor_revision:
          type: string
          maxLength: 256
          minLength: 1
          title: Extractor Revision
        gate_revision:
          type: string
          maxLength: 256
          minLength: 1
          title: Gate Revision
        evidence_revision:
          type: string
          pattern: ^[0-9a-f]{64}$
          title: Evidence Revision
        disposition:
          type: string
          enum:
            - sponsor_positive
            - supported_negative
            - gate_skipped
          title: Disposition
        result_available_at:
          type: string
          format: date-time
          title: Result Available At
        mentions:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Mentions
          default: []
        applied_revision:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Applied Revision
      additionalProperties: false
      type: object
      required:
        - work_key
        - extraction_key
        - result_event_key
        - evaluation_kind
        - extractor_revision
        - gate_revision
        - evidence_revision
        - disposition
        - result_available_at
      title: DemandResultProof
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.